## tdenetwork-trinity 14.0.10

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8.12 )


##### general package setup #####################

project( tdenetwork )

set( PACKAGE tdenetwork )
set( VERSION R14.0.10 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckIncludeFile )
include( CheckIncludeFileCXX )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckStructHasMember )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_JINGLE "Enable jingle support (kopete)" OFF )
option( WITH_SPEEX "Enable speex support (for jingle)" OFF )
option( WITH_WEBCAM "Enable webcam support (kopete/msn)" OFF )
option( WITH_GSM "Enable GSM SMS support (kopete/sms)" OFF )
option( WITH_XMMS "Enable XMMS support (kopete/nowlistening)" OFF )
option( WITH_LIBXSLT "Enable XSLT support (kopete/webpresence)" OFF )
option( WITH_ARTS "Enable aRts support" OFF )
option( WITH_SLP "Enable OpenSLP support (krdc, krfb)" OFF )


##### options comments ##########################

# WITH_JINGLE affects kopete[protocol_jabber]
# WITH_SPEEX  affects kopete[protocol_jabber+jingle]
# WITH_WEBCAM affects kopete[protocol_msn]
# WITH_GSM    affects kopete[protocol_sms]
# WITH_GSM    adds another backend to sms protocol in addition
#                  to smsclient and smssend, the gsmlib
# WITH_XMMS   affects kopete[plugin_nowlistening]
# WITH_LIBXSLT affects kopete[plugin_webpresence]
# WITH_ARTS   affects wifi
# WITH_SLP    affects krdc krfb


##### kopete protocols ##########################

option( BUILD_KOPETE_PROTOCOL_ALL "Build all kopete protocols" OFF )
option( BUILD_KOPETE_PROTOCOL_TESTBED "Build kopete protocol testbed" ${BUILD_KOPETE_PROTOCOL_ALL} )
option( BUILD_KOPETE_PROTOCOL_GROUPWISE "Build kopete protocol groupwise" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_MSN "Build kopete protocol msn" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_IRC "Build kopete protocol irc" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_OSCAR "Build kopete protocol oscar" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_YAHOO "Build kopete protocol yahoo" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_WINPOPUP "Build kopete protocol winpopup" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_SMS "Build kopete protocol sms" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_JABBER "Build kopete protocol jabber" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_GADU "Build kopete protocol gadu" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_MEANWHILE "Build kopete protocol meanwhile" ${BUILD_KOPETE_PROTOCOL_ALL}  )


##### kopete plugins ############################

option( BUILD_KOPETE_PLUGIN_ALL "Build all kopete plugins" OFF )
option( BUILD_KOPETE_PLUGIN_LATEX "Build latex kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_AUTOREPLACE "Build autoreplace kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_HISTORY "Build history kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_CONTACTNOTES "Build contactnotes kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_CRYPTOGRAPHY "Build cryptography kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_CONNECTIONSTATUS "Build connectionstatus kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_TRANSLATOR "Build translator kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_NOWLISTENING "Build nowlistening kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_WEBPRESENCE "Build webpresence kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_TEXTEFFECT "Build texteffect kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_HIGHLIGHT "Build highlight kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_ALIAS "Build alias kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_MOTIONAUTOAWAY "Build motionautoaway kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_NETMEETING "Build netmeeting kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_ADDBOOKMARKS "Build addbookmarks kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_STATISTICS "Build statistics kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_SMPPPDCS "Build smpppdcs kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DCOPRSS "Build dcoprss" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_FILESHARING "Build filesharing" ${BUILD_ALL} )
option( BUILD_KDICT "Build kdict" ${BUILD_ALL} )
option( BUILD_TDEDNSSD "Build tdednssd" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS "Build tdefile-plugins" ${BUILD_ALL} )
option( BUILD_KGET "Build kget" ${BUILD_ALL} )
option( BUILD_KNEWSTICKER "Build knewsticker" ${BUILD_ALL} )
option( BUILD_KOPETE "Build kopete" ${BUILD_ALL} )
option( BUILD_KPF "Build kpf" ${BUILD_ALL} )
option( BUILD_KPPP "Build kppp" ${BUILD_ALL} )
option( BUILD_KRDC "Build krdc" ${BUILD_ALL} )
option( BUILD_KRFB "Build krfb" ${BUILD_ALL} )
option( BUILD_KSIRC "Build ksirc" ${BUILD_ALL} )
option( BUILD_KTALKD "Build ktalkd" ${BUILD_ALL} )
option( BUILD_LANBROWSING "Build lanbrowsing" ${BUILD_ALL} )
option( BUILD_LIBRSS "Build librss" ${BUILD_ALL} )
option( BUILD_WIFI "Build wifi" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### tdenetwork directories ####################

tde_conditional_add_subdirectory( BUILD_DCOPRSS dcoprss )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_FILESHARING filesharing )
tde_conditional_add_subdirectory( BUILD_KDICT kdict )
tde_conditional_add_subdirectory( BUILD_TDEDNSSD tdednssd )
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS tdefile-plugins )
tde_conditional_add_subdirectory( BUILD_KGET kget )
tde_conditional_add_subdirectory( BUILD_KNEWSTICKER knewsticker )
tde_conditional_add_subdirectory( BUILD_KOPETE kopete )
tde_conditional_add_subdirectory( BUILD_KPF kpf )
tde_conditional_add_subdirectory( BUILD_KPPP kppp )
tde_conditional_add_subdirectory( BUILD_KRDC krdc )
tde_conditional_add_subdirectory( BUILD_KRFB krfb )
tde_conditional_add_subdirectory( BUILD_KSIRC ksirc )
tde_conditional_add_subdirectory( BUILD_KTALKD ktalkd )
tde_conditional_add_subdirectory( BUILD_LANBROWSING lanbrowsing )
tde_conditional_add_subdirectory( BUILD_LIBRSS librss )
tde_conditional_add_subdirectory( BUILD_WIFI wifi )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== kopete/protocols/groupwise/libgroupwise/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( NOT TQCA_FOUND )
  add_subdirectory( qca )
endif( )
add_subdirectory( tasks )

# add_definitions(
#   -DUSE_TLSHANDLER
# )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TQCA_INCLUDE_DIR}
)


##### groupwise (static) ########################

tde_add_library( groupwise STATIC_PIC AUTOMOC
  SOURCES
    bytestream.cpp chatroommanager.cpp client.cpp connector.cpp
    coreprotocol.cpp eventprotocol.cpp eventtransfer.cpp
    gwclientstream.cpp gwerror.cpp gwfield.cpp gwglobal.cpp
    inputprotocolbase.cpp privacymanager.cpp qcatlshandler.cpp
    request.cpp requestfactory.cpp response.cpp responseprotocol.cpp
    rtf.cpp safedelete.cpp securestream.cpp stream.cpp task.cpp
    tlshandler.cpp transfer.cpp transferbase.cpp userdetailsmanager.cpp
    usertransfer.cpp
)


##### gwtest (static) ###########################

tde_add_library( gwtest STATIC_PIC AUTOMOC
  SOURCES
    coreprotocol.cpp eventtransfer.cpp gwfield.cpp request.cpp
    requestfactory.cpp transfer.cpp usertransfer.cpp client.cpp task.cpp
    safedelete.cpp gwclientstream.cpp qcatlshandler.cpp stream.cpp
    tlshandler.cpp response.cpp connector.cpp securestream.cpp
    bytestream.cpp
)

=== debian/changelog ===
tdenetwork-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: tdenetwork-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, docbook-to-man, doxygen, gawk, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, sharutils, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libtqca-dev
Standards-Version: 3.8.4

Package: tdenetwork-trinity
Section: tde
Architecture: all
Replaces: kdenetwork-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-trinity (<< 4:14.0.0~)
Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
Description: network-related apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of network and networking related
 applications provided with the official release of Trinity.

Package: dcoprss-trinity
Section: net
Architecture: any
Replaces: dcoprss-trinity (<< 4:14.0.0~)
Breaks: dcoprss-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: RSS utilities for Trinity
 tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
 DCOP aware applications to access RSS news feeds. There is also
 a few sample utilities provided.
 .
 RSS is a standard for publishing news headlines.
 DCOP is the TDE interprocess communication protocol.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: Trinity network documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE network documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kdict/. Documentation is provided for most
 TDE network packages.
 .
 This package is part of TDE, and a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Enhances: konqueror-trinity
Description: torrent metainfo plugin for Trinity
 This package provides a metainformation plugin for bittorrent files.
 .
 Kde uses tdefile-plugins to provide metainfo tab in the files properties
 dialog in konqueror and other file-handling applications.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-filesharing-trinity
Section: net
Architecture: any
Replaces: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: perl-suid
Description: network filesharing configuration module for Trinity
 This package provides a Trinity Control Center module to configure
 NFS and Samba.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kdict-trinity
Section: net
Architecture: any
Replaces: kdict-trinity (<< 4:14.0.0~)
Breaks: kdict-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Provides: dict-client-trinity
Description: dictionary client for Trinity
 KDict is an advanced TDE graphical client for the DICT Protocol, with full
 Unicode support. It enables you to search through dictionary databases for a
 word or phrase, then displays suitable definitions. KDict tries to ease
 basic as well as advanced queries.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kget-trinity
Section: net
Architecture: any
Replaces: kget-trinity (<< 4:14.0.0~)
Breaks: kget-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: download manager for Trinity
 KGet is a a download manager similar to GetRight or Go!zilla. It keeps
 all your downloads in one dialog and you can add and remove transfers.
 Transfers can be paused, resumed, queued or scheduled.
 Dialogs display info about status of transfers - progress, size, speed
 and remaining time. Program supports drag & drop from TDE
 applications and Netscape.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: knewsticker-trinity
Section: tde
Architecture: any
Replaces: knewsticker-trinity (<< 4:14.0.0~)
Breaks: knewsticker-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kicker-trinity
Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
Description: news ticker applet for Trinity
 This is a news ticker applet for the Trinity panel. It can scroll news from
 your favorite news sites, such as lwn.net, /. and freshmeat.net.
 To achieve this, KNewsTicker requires the news sites to provide a
 RSS feed to newsitems. KNewsTicker already comes with a selection of
 good news sources which provide such files.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kopete-trinity
Section: tde
Architecture: any
Replaces: kopete-trinity (<< 4:14.0.0~)
Breaks: kopete-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: tqca-tls
Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
Description: instant messenger for Trinity
 Kopete is an instant messenger program which can communicate with a variety
 of IM systems, such as Yahoo, ICQ, MSN, IRC and Jabber.
 .
 Kopete includes the "Now Listening" plug-in that can report what music you
 are currently listening to, in a number of different players, including
 noatun, kscd, juk, kaffeine and amarok.
 .
 Support for more IM protocols can be added through a plugin system.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
 .
 Homepage: http://kopete.kde.org

Package: kpf-trinity
Section: net
Architecture: any
Replaces: kpf-trinity (<< 4:14.0.0~)
Breaks: kpf-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: public fileserver for Trinity
 kpf provides simple file sharing using HTTP. kpf is strictly a public
 fileserver, which means that there are no access restrictions to shared
 files. Whatever you select for sharing is available to anyone. kpf is
 designed to be used for sharing files with friends.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kppp-trinity
Section: net
Architecture: any
Replaces: kppp-trinity (<< 4:14.0.0~)
Breaks: kppp-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ppp
Suggests: khelpcenter-trinity
Description: modem dialer and ppp frontend for Trinity
 KPPP is a dialer and front end for pppd. It allows for interactive
 script generation and network setup. It will automate the dialing in
 process to your ISP while letting you conveniently monitor the entire
 process.
 .
 Once connected KPPP will provide a rich set of statistics and keep
 track of the time spent online for you.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: krdc-trinity
Section: net
Architecture: any
Replaces: krdc-trinity (<< 4:14.0.0~)
Breaks: krdc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Recommends: rdesktop, libjpeg-turbo62
Description: Remote Desktop Connection for Trinity
 krdc is an TDE graphical client for the rfb protocol, used by VNC,
 and if rdesktop is installed, krdc can connect to Windows Terminal
 Servers using RDP.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: krfb-trinity
Section: net
Architecture: any
Replaces: krfb-trinity (<< 4:14.0.0~)
Breaks: krfb-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Recommends: libjpeg-turbo62
Description: Desktop Sharing for Trinity
 Desktop Sharing (krfb) is a server application that allows you to share
 your current session with a user on another machine, who can use a
 VNC client like krdc to view or even control the desktop. It doesn't
 require you to start a new X session - it can share the current session.
 This makes it very useful when you want someone to help you perform a
 task.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: ksirc-trinity
Section: net
Architecture: any
Replaces: ksirc-trinity (<< 4:14.0.0~)
Breaks: ksirc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${perl:Depends}
Recommends: libio-socket-ssl-perl
Suggests: khelpcenter-trinity
Description: IRC client for Trinity
 KSirc is an IRC chat client for TDE. It supports scripting with Perl and has a
 lot of compatibility with mIRC for general use.
 .
 If you want to connect to an IRC server via SSL, you will need to install the
 recommended package libio-socket-ssl-perl.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: ktalkd-trinity
Section: net
Priority: extra
Replaces: ktalkd-trinity (<< 4:14.0.0~)
Breaks: ktalkd-trinity (<< 4:14.0.0~)
Architecture: any
Depends: ${shlibs:Depends}, netbase, update-inetd
Recommends: talk, ytalk
Suggests: khelpcenter-trinity
Provides: talkd-trinity
Description: talk daemon for Trinity
 KTalkd is an enhanced talk daemon - a program to handle incoming talk

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),s390)
DONT_BUILD+= kwifimanager
endif
ifneq ($(DEB_HOST_ARCH_OS),linux)
DONT_BUILD+= kwifimanager tdednssd
endif
export DH_OPTIONS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_WEBCAM="ON" \
 -DWITH_LIBXSLT="ON" \
 -DWITH_ARTS="ON" \
 -DWITH_SLP="ON" \
 -DBUILD_KOPETE_PROTOCOL_ALL="ON" \
 -DBUILD_KOPETE_PLUGIN_ALL="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=tdenetwork-trinity-dbg

PACKAGES_WITH_LIBS := librss1-trinity kopete-trinity ksirc-trinity kwifimanager-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_FIXPERMS_EXCLUDE := opt/trinity/bin/kppp opt/trinity/bin/kppplogview \
	etc/ppp/peers/kppp-options

binary-install/kppp-trinity::
	chown root:dip debian/kppp-trinity/opt/trinity/bin/kppp*
	chown root:dip debian/kppp-trinity/etc/ppp/peers/kppp-options
	chmod 4754 debian/kppp-trinity/opt/trinity/bin/kppp
	chmod 0754 debian/kppp-trinity/opt/trinity/bin/kppplogview
	chmod 0640 debian/kppp-trinity/etc/ppp/peers/kppp-options

## tdenetwork-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 project( tdenetwork )
 
 set( PACKAGE tdenetwork )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 ##### include essential cmake modules ###########
@@ -46,14 +46,16 @@
 
 ##### optional stuff ############################
 
-option( WITH_JINGLE "Enable jingle support (kopete)" OFF )
-option( WITH_SPEEX "Enable speex support (for jingle)" OFF )
-option( WITH_WEBCAM "Enable webcam support (kopete/msn)" OFF )
-option( WITH_GSM "Enable GSM SMS support (kopete/sms)" OFF )
-option( WITH_XMMS "Enable XMMS support (kopete/nowlistening)" OFF )
-option( WITH_LIBXSLT "Enable XSLT support (kopete/webpresence)" OFF )
-option( WITH_ARTS "Enable aRts support" OFF )
-option( WITH_SLP "Enable OpenSLP support (krdc, krfb)" OFF )
+option( WITH_ALL_OPTIONS    "Enable all optional support" ON )
+option( WITH_GCC_VISIBILITY  "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
+option( WITH_JINGLE "Enable jingle support (kopete)" ${WITH_ALL_OPTIONS} )
+option( WITH_SPEEX "Enable speex support (for jingle)" ${WITH_ALL_OPTIONS} )
+option( WITH_WEBCAM "Enable webcam support (kopete/msn)" ${WITH_ALL_OPTIONS} )
+option( WITH_GSM "Enable GSM SMS support (kopete/sms)" ${WITH_ALL_OPTIONS} )
+option( WITH_XMMS "Enable XMMS support (kopete/nowlistening)" ${WITH_ALL_OPTIONS} )
+option( WITH_LIBXSLT "Enable XSLT support (kopete/webpresence)" ${WITH_ALL_OPTIONS} )
+option( WITH_ARTS "Enable aRts support" ${WITH_ALL_OPTIONS} )
+option( WITH_SLP "Enable OpenSLP support (krdc, krfb)" ${WITH_ALL_OPTIONS} )
 
 
 ##### options comments ##########################

=== kopete/protocols/groupwise/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )
add_subdirectory( libgroupwise )
add_subdirectory( ui )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/ui
  ${CMAKE_CURRENT_SOURCE_DIR}/libgroupwise
  ${CMAKE_CURRENT_SOURCE_DIR}/libgroupwise/tasks
  ${CMAKE_CURRENT_SOURCE_DIR}/ui
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TQCA_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_groupwise.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

install( FILES gwchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_groupwise )


##### kopete_groupwise (module) #################

tde_add_kpart( kopete_groupwise AUTOMOC
  SOURCES
    gwprotocol.cpp gwcontact.cpp gwaccount.cpp gwbytestream.cpp
    gwconnector.cpp gwmessagemanager.cpp gwcontactlist.cpp
  LINK
    kopetegroupwiseui-static groupwise-static groupwise_tasks-static
    ${TQCA_LIBRARIES} kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdenetwork-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:25 +0200

## tdenetwork-trinity 14.0.12

=== krdc/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( vnc )
add_subdirectory( rdp )


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( krdc )

install( FILES
    pointcursor.png pointcursormask.png pinup.png pindown.png
    iconify.png close.png
  DESTINATION ${DATA_INSTALL_DIR}/krdc/pics )

install( FILES
    _rfb._tcp
  DESTINATION ${DATA_INSTALL_DIR}/zeroconf )

tde_create_translated_desktop(
  SOURCE krdc.desktop
  PO_DIR krdc-desktops
)

tde_create_translated_desktop(
  SOURCE smb2rdc.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR krdc-desktops
)

tde_create_translated_desktop(
  SOURCE vnc.protocol rdp.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR krdc-desktops
)


##### krdc (executable) #########################

tde_add_executable( krdc AUTOMOC
  SOURCES
    main.cpp krdc.cpp vidmode.cpp kfullscreenpanel.cpp hostprofiles.ui
    maindialogbase.ui keycapturewidget.ui kservicelocator.cpp
    keycapturedialog.cpp kremoteview.cpp smartptr.cpp hostpreferences.cpp
    preferencesdialog.cpp maindialogwidget.cpp maindialog.cpp
  LINK vnc-static rdp-static tdeui-shared tdednssd-shared tdewalletclient-shared jpeg Xext ${LIB_SLP}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
tdenetwork-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Apr 2022 00:01:14 +0200

## tdenetwork-trinity 14.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################
@@ -17,7 +17,6 @@
 project( tdenetwork )
 
 set( PACKAGE tdenetwork )
-set( VERSION R14.0.11 )
 
 
 ##### include essential cmake modules ###########
@@ -34,8 +33,12 @@
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -46,7 +49,7 @@
 
 ##### optional stuff ############################
 
-option( WITH_ALL_OPTIONS    "Enable all optional support" ON )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY  "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 option( WITH_JINGLE "Enable jingle support (kopete)" ${WITH_ALL_OPTIONS} )
 option( WITH_SPEEX "Enable speex support (for jingle)" ${WITH_ALL_OPTIONS} )

=== debian/changelog ===
tdenetwork-trinity (4:14.0.13-1romtnet) universal; urgency=low

  * Applying krfb-crash_at_disconnect.patch
  * Applying krfb-new_symbols_appending.patch
  * Applying kopete-crash_at_disconnect.patch

 -- Roman Savochenko <roman@oscada.org>  Tue, 1 Nov 2022 20:00:00 +0200

tdenetwork-trinity (4:14.0.13-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Sep 2022 06:50:27 +0200

## tdenetwork-trinity 14.1.0

=== kopete/protocols/jabber/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( ui )
add_subdirectory( icons )
add_subdirectory( libiris )
add_subdirectory( tdeioslave )

if( WITH_JINGLE )
  add_subdirectory( jingle )
  set( SUPPORT_JINGLE 1 CACHE INTERNAL "" FORCE )
  set( JINGLE_LIBRARIES
    kopetejabberjingle-static cricketsessionphone-static cricketxmllite-static
    cricketp2pclient-static cricketxmpp-static cricketp2pbase-static cricketbase-static
    mediastreamer-static ortp-static
    ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${GMODULE2_LIBRARIES}
    ${EXPAT_LIBRARY} ${SPEEX_LIBRARIES} pthread
  )
endif( )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/ui
  ${CMAKE_CURRENT_BINARY_DIR}/jingle
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/include
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/jabber
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp-im
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/util
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/network
  ${CMAKE_CURRENT_SOURCE_DIR}/ui
  ${CMAKE_CURRENT_SOURCE_DIR}/jingle
  ${CMAKE_CURRENT_SOURCE_DIR}/../../libkopete
  ${CMAKE_CURRENT_SOURCE_DIR}/../../libkopete/ui
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TQCA_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TQCA_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kopete_jabber.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kopete-desktops
)

install( FILES jabberchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_jabber )


##### jabberclient (static) #####################

tde_add_library( jabberclient STATIC_PIC AUTOMOC
  SOURCES
    jabberclient.cpp jabberconnector.cpp jabberbytestream.cpp
)


##### kopete_jabber (module) ####################

tde_add_kpart( kopete_jabber AUTOMOC
  SOURCES
    jabberprotocol.cpp jabberaccount.cpp jabberresource.cpp
    jabberresourcepool.cpp jabberbasecontact.cpp jabbercontact.cpp
    jabbergroupcontact.cpp jabbergroupmembercontact.cpp
    jabbercontactpool.cpp jabberformtranslator.cpp jabberformlineedit.cpp
    jabberchatsession.cpp jabbergroupchatmanager.cpp
    jabberfiletransfer.cpp jabbercapabilitiesmanager.cpp
    jabbertransport.cpp jabberbookmarks.cpp
  LINK
    jabberclient-static kopetejabberui-static
    iris_jabber-static iris_xmpp_core-static iris_xmpp_im-static iris-static
    ${TQCA_LIBRARIES} cutestuff_network-static cutestuff_util-static ${JINGLE_LIBRARIES}
    kopete-shared idn
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdenetwork-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 21 Mar 2023 02:13:18 +0100

## tdenetwork-trinity 14.1.1

=== krfb/krfb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../srvloc
  ${CMAKE_CURRENT_SOURCE_DIR}/../../libtdevnc
  ${CMAKE_CURRENT_BINARY_DIR}/../../libtdevnc
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( krfb )

tde_create_translated_desktop(
  SOURCE krfb.desktop
  PO_DIR krfb-desktops
)

install( FILES eyes-open24.png eyes-closed24.png connection-side-image.png DESTINATION ${DATA_INSTALL_DIR}/krfb/pics )

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/krfb
  PO_DIR krfb-eventsrc
)

tde_create_translated_desktop(
  SOURCE kinetd_krfb.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR krfb-desktops
)


##### krfb (executable) #########################

tde_add_executable( krfb AUTOMOC
  SOURCES
    rfbcontroller.cpp xupdatescanner.cpp main.cpp connectionwidget.ui
    krfbifaceimpl.cpp krfbiface.skel trayicon.cpp connectiondialog.cpp
  LINK
    krfbconfig-static tdevncserver-static srvloc-static tdeui-shared tdeio-shared jpeg Xext pthread ${XTST_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### krfbconfig (static) #######################

tde_add_library( krfbconfig STATIC_PIC AUTOMOC
  SOURCES
    configuration.cpp configuration.skel invitedialog.cpp invitation.cpp
    manageinvitations.ui personalinvitewidget.ui invitewidget.ui
    personalinvitedialog.cpp
)

=== debian/changelog ===
tdenetwork-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 10:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, docbook-to-man, doxygen, gawk, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, sharutils, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libtqca-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, docbook-to-man, doxygen, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgcrypt-dev, libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libspeex-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, valgrind [!armel !mips !mipsel !riscv64], libxxf86vm-dev, libv4l-dev, libssl-dev, libtqca-dev
 Standards-Version: 3.8.4
 
 Package: tdenetwork-trinity
 Section: tde
 Architecture: all
-Replaces: kdenetwork-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
 Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
 Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
 Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
@@ -27,8 +27,8 @@
 Package: dcoprss-trinity
 Section: net
 Architecture: any
-Replaces: dcoprss-trinity (<< 4:14.0.0~)
-Breaks: dcoprss-trinity (<< 4:14.0.0~)
+Replaces: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
+Breaks: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: RSS utilities for Trinity
  tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
@@ -44,8 +44,8 @@
 Package: tdenetwork-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdebase-trinity
 Description: Trinity network documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -64,8 +64,8 @@
 Package: tdenetwork-tdefile-plugins-trinity
 Section: tde
 Architecture: any
-Replaces: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Enhances: konqueror-trinity
 Description: torrent metainfo plugin for Trinity
@@ -80,8 +80,8 @@
 Package: tdenetwork-filesharing-trinity
 Section: net
 Architecture: any
-Replaces: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
-Breaks: kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Replaces: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
+Breaks: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: perl-suid
 Description: network filesharing configuration module for Trinity
@@ -94,8 +94,8 @@
 Package: kdict-trinity
 Section: net
 Architecture: any
-Replaces: kdict-trinity (<< 4:14.0.0~)
-Breaks: kdict-trinity (<< 4:14.0.0~)
+Replaces: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
+Breaks: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Provides: dict-client-trinity
@@ -111,8 +111,8 @@
 Package: kget-trinity
 Section: net
 Architecture: any
-Replaces: kget-trinity (<< 4:14.0.0~)
-Breaks: kget-trinity (<< 4:14.0.0~)
+Replaces: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
+Breaks: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: download manager for Trinity
@@ -129,8 +129,8 @@
 Package: knewsticker-trinity
 Section: tde
 Architecture: any
-Replaces: knewsticker-trinity (<< 4:14.0.0~)
-Breaks: knewsticker-trinity (<< 4:14.0.0~)
+Replaces: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
+Breaks: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kicker-trinity
 Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
 Description: news ticker applet for Trinity
@@ -146,8 +146,8 @@
 Package: kopete-trinity
 Section: tde
 Architecture: any
-Replaces: kopete-trinity (<< 4:14.0.0~)
-Breaks: kopete-trinity (<< 4:14.0.0~)
+Replaces: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
+Breaks: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: tqca-tls
 Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
@@ -169,8 +169,8 @@
 Package: kpf-trinity
 Section: net
 Architecture: any
-Replaces: kpf-trinity (<< 4:14.0.0~)
-Breaks: kpf-trinity (<< 4:14.0.0~)
+Replaces: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
+Breaks: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: public fileserver for Trinity
@@ -185,8 +185,8 @@
 Package: kppp-trinity
 Section: net
 Architecture: any
-Replaces: kppp-trinity (<< 4:14.0.0~)
-Breaks: kppp-trinity (<< 4:14.0.0~)
+Replaces: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
+Breaks: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ppp
 Suggests: khelpcenter-trinity
 Description: modem dialer and ppp frontend for Trinity
@@ -204,8 +204,8 @@
 Package: krdc-trinity
 Section: net
 Architecture: any
-Replaces: krdc-trinity (<< 4:14.0.0~)
-Breaks: krdc-trinity (<< 4:14.0.0~)
+Replaces: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
+Breaks: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: rdesktop, libjpeg-turbo62
@@ -220,8 +220,8 @@
 Package: krfb-trinity
 Section: net
 Architecture: any
-Replaces: krfb-trinity (<< 4:14.0.0~)
-Breaks: krfb-trinity (<< 4:14.0.0~)
+Replaces: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
+Breaks: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Recommends: libjpeg-turbo62
@@ -239,30 +239,6 @@
 Package: ksirc-trinity
 Section: net
 Architecture: any
-Replaces: ksirc-trinity (<< 4:14.0.0~)
-Breaks: ksirc-trinity (<< 4:14.0.0~)
+Replaces: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
+Breaks: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${perl:Depends}
-Recommends: libio-socket-ssl-perl
-Suggests: khelpcenter-trinity
-Description: IRC client for Trinity
- KSirc is an IRC chat client for TDE. It supports scripting with Perl and has a
- lot of compatibility with mIRC for general use.
- .
- If you want to connect to an IRC server via SSL, you will need to install the
- recommended package libio-socket-ssl-perl.
- .
- This package is part of Trinity, as a component of the TDE network module.
- See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
-
-Package: ktalkd-trinity
-Section: net
-Priority: extra
-Replaces: ktalkd-trinity (<< 4:14.0.0~)
-Breaks: ktalkd-trinity (<< 4:14.0.0~)
-Architecture: any
-Depends: ${shlibs:Depends}, netbase, update-inetd
-Recommends: talk, ytalk
-Suggests: khelpcenter-trinity
-Provides: talkd-trinity
-Description: talk daemon for Trinity
- KTalkd is an enhanced talk daemon - a program to handle incoming talk

## tdenetwork-trinity 14.1.2

=== debian/changelog ===
tdenetwork-trinity (4:14.1.2-2romtnet) universal; urgency=low

  * Applying krdc-return.patch
  * Applying krfb-return.patch
  * Applying krfb-crash_at_disconnect_new.patch
  * Applying krfb-new_symbols_appending.patch
  * Applying kopete-crash_at_disconnect.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 29 Apr 2024 20:00:00 +0200

tdenetwork-trinity (4:14.1.2-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Apr 2024 09:27:49 +0200

## tdenetwork-trinity 14.1.3

=== debian/changelog ===
tdenetwork-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdenetwork

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:11:58 +0200
